/*
 * This header files devines functions used for the phone book access
 */
#ifndef _CONTACTS_DB_PL_H
#define _CONTACTS_DB_PL_H
#include <glib.h>
#include <libebook/e-book.h>

/*
 * Function initializes the phone book
 * param:
 * error -- error code to return
 * Return: 0 on success -1 on error
 */
gint db_open_pl (GError** error);

/*
 * Function returns a list of contacts that contain the name
 * error is an error indicator
 */
GList *db_get_phone_list (const gchar *name, GError** error);

/*
 * Function is called to close pl
 */
void db_close_pl(void);

/*
 * Function returns a single contact with provided id
 */
EContact* getContact(const gchar* id);
#endif
